"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountCreateResponses = exports.AccountCreateFailedResponse = exports.AccountCreateSuccessResponse = exports.Account = void 0;
const typebox_1 = require("@sinclair/typebox");
exports.Account = typebox_1.Type.Object({
    username: typebox_1.Type.String(),
    password: typebox_1.Type.String(),
    firstname: typebox_1.Type.String(),
    lastname: typebox_1.Type.String(),
    birthYear: typebox_1.Type.Integer(),
});
exports.AccountCreateSuccessResponse = {
    201: typebox_1.Type.Object({
        accountId: typebox_1.Type.String(),
    }),
};
exports.AccountCreateFailedResponse = {
    400: typebox_1.Type.Object({
        message: typebox_1.Type.String(),
    }),
};
exports.AccountCreateResponses = {
    ...exports.AccountCreateFailedResponse,
    ...exports.AccountCreateSuccessResponse,
};
