"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Middleware = void 0;
const __1 = require("..");
exports.Middleware = {
    of: (impl) => (handler) => ((req, orig) => {
        return impl(req, orig, handler);
    }),
};
const extractContext = (req) => {
    const userId = req.headers["x-forwarded-user-id"];
    const tenantId = req.headers["x-forwarded-tenant-id"];
    return { userId, tenantId };
};
const authMiddleware = exports.Middleware.of((req, original, handler) => {
    const { userId, tenantId } = extractContext(original.originalEvent);
    if (!userId || !tenantId) {
        return Promise.resolve({
            statusCode: 401,
            body: "Unauthorized",
        });
    }
    else {
        return handler(req, original, { tenantId, userId });
    }
});
const authedRoute = __1.LambdaRouter.build((r) => r.get("/routes/{id}")(authMiddleware(async (req, original, t) => {
    return req.response(200, "Hey");
})));
