import { APIGatewayProxyEventMultiValueQueryStringParameters, APIGatewayProxyEventQueryStringParameters } from "aws-lambda";
import { Either } from "fp-ts/lib/Either";
import * as FP from "fp-ts";
export declare type ParserError = {
    errors: string[];
};
export declare type PathParamParser<T> = {
    parse: (s: string[]) => Either<ParserError, T>;
};
export declare class PathParamParsers {
    string: PathParamParser<string>;
    int: PathParamParser<number>;
    float: PathParamParser<number>;
    "string[]": PathParamParser<string[]>;
    "int[]": PathParamParser<number[]>;
    "float[]": PathParamParser<number[]>;
}
export declare const PathParamRegex: RegExp;
export declare const parsePathParams: (incomingUrl: string, pathSpec: string) => Either<string[], Record<string, unknown>>;
export declare const parseQueryParams: (pathParams: APIGatewayProxyEventQueryStringParameters, multiPathParams: APIGatewayProxyEventMultiValueQueryStringParameters, querySpec: string) => FP.either.Either<string[], Record<string, unknown>>;
